#!/bin/bash

RADM="--user alan --passwd alan" #set to rasdaman credentials

rimport(){
	#usage: $0 1 x, 2 y, 3 filename, 4 oid
	rasimport -f $3 -coll lol -oid $4 -3d top -shift $1:$2:10

}


initrasdb(){
	raserase -coll lol &> /dev/null
	#rasql -q "drop collection lol" $RADM &> /dev/null
	rasql -q "create collection lol GreySet3" $RADM &> /dev/null
	rasql -q "insert into lol values marray m in [1:1,1:1,10:10] values 0c" $RADM &> /dev/null
	OID=$(rasql -q "select oid(r) from lol as r" --out string $RADM)
	OID=$(echo $OID | cut -d ":" -f 7)
	vOID=(${OID})
	OID=${vOID[0]}
	echo $OID
}


OID=$(initrasdb)

FILES=`find . -maxdepth 1 -type f -name \*-envi\*`
for f in $FILES ; do
	coord=( $( gdalinfo $f  | grep Origin | tr  "()=," " " | awk {'print $2" "$3'} ) )
	zone[1]=$(gdalinfo $f  | grep PROJCS  | grep UTM  | tr  "[()=/\"," " " | awk {'print $6'})
	zone[2]=$(echo ${zone[1]} | tr -d "0123456789")
	zone[1]=$(echo ${zone[1]} | tr -d "NS")
	cx=`echo ${coord[0]} / 1000 | bc`
	if [ "${zone[2]}" = "N" ] ; then
		cy=`echo \( 9328000 - ${coord[1]} \) / 1000 | bc`
	else
		cy=`echo 10000 - \( 10000000 - ${coord[1]} \) / 1000 | bc`
	fi
	echo $f "   " $cx "   "   $cy  
	
	#read a
	rimport $cx $cy $f $OID
	
done

